2018-09-23 13:48 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004532Kali Linux[All Projects] Kali Package Bugpublic2018-02-26 12:16
Reporterraulsiles 
Assigned Tosbrun 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2017.3 
Target VersionFixed in Version2018.2 
Summary0004532: btscanner crashes with the "b" (brute force scan) option
DescriptionSee already closed bug: https://bugs.kali.org/view.php?id=3451

The btscanner tool crashes when the "b" (brute force scan) option is used.

E.g. Running as root in Kali-Linux 2017.3 over an Intel x64 platform.

There aren't any "btscanner" updates available at this time.
Steps To ReproduceConnect a Bluetooth USB adapter.

Turn this adapter on:
hciconfig hci0 up

Run:
btscanner

Use the "b" (brute force scan) option (press "b").

Result: Application crashes displaying the following error message.

*** buffer overflow detected ***: btscanner terminated
                                                      Aborted

Additional Informationroot@PWRH:~# which btscanner
/usr/bin/btscanner

root@PWRH:~# dpkg --list btscanner
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-=====================-===============-===============-================================================
ii btscanner 2.1-5.1+b2 amd64 ncurses-based scanner for Bluetooth devices

root@PWRH:~# dpkg --status btscanner
Package: btscanner
Status: install ok installed
Priority: optional
Section: net
Installed-Size: 319
Maintainer: Uwe Hermann <uwe@debian.org>
Architecture: amd64
Source: btscanner (2.1-5.1)
Version: 2.1-5.1+b2
Depends: libbluetooth3 (>= 4.91), libc6 (>= 2.4), libncurses5 (>= 6), libtinfo5 (>= 6), libxml2 (>= 2.7.4)
Conffiles:
 /etc/btscanner.dtd 1650eb7c3897a3eb3237ad17b9998451
 /etc/btscanner.xml 89f069492027aee3ed55dd29b9378507
Description: ncurses-based scanner for Bluetooth devices
 btscanner is a tool designed specifically to extract as much information
 as possible from a Bluetooth device without the requirement to pair. A
 detailed information screen extracts HCI and SDP information, and
 maintains an open connection to monitor the RSSI and link quality.
 btscanner is based on the BlueZ Bluetooth stack, which is included with
 recent Linux kernels, and the BlueZ toolset. btscanner also contains a
 complete listing of the IEEE OUI numbers and class lookup tables. Using
 the information gathered from these sources it is possible to make
 educated guesses as to the host device type.
Homepage: http://www.pentest.co.uk/cgi-bin/viewcat.cgi?cat=downloads&section=01_bluetooth

Attached Files

-Relationships
+Relationships

-Notes

~0008814

sbrun (manager)

fixed in new version 2.1-6
+Notes

-Issue History
Date Modified Username Field Change
2018-02-10 15:28 raulsiles New Issue
2018-02-14 14:48 sbrun Assigned To => sbrun
2018-02-14 14:48 sbrun Status new => assigned
2018-02-26 12:16 sbrun Status assigned => resolved
2018-02-26 12:16 sbrun Resolution open => fixed
2018-02-26 12:16 sbrun Fixed in Version => 2018.2
2018-02-26 12:16 sbrun Note Added: 0008814
+Issue History